Data Fields

# ViewportData Struct Reference

Data structure for a window viewport. More...

`#include <window_gui.h>`

Inheritance diagram for ViewportData:

## Data Fields
VehicleID | follow_vehicle
| VehicleID to follow if following a vehicle, INVALID_VEHICLE otherwise.
int32 | scrollpos_x
| Currently shown x coordinate (virtual screen coordinate of topleft corner of the viewport).
int32 | scrollpos_y
| Currently shown y coordinate (virtual screen coordinate of topleft corner of the viewport).
int32 | dest_scrollpos_x
| Current destination x coordinate to display (virtual screen coordinate of topleft corner of the viewport).
int32 | dest_scrollpos_y
| Current destination y coordinate to display (virtual screen coordinate of topleft corner of the viewport).

## Detailed Description

Data structure for a window viewport.

A viewport is either following a vehicle (its id in then in follow_vehicle), or it aims to display a specific location dest_scrollpos_x, dest_scrollpos_y (follow_vehicle is then INVALID_VEHICLE). The actual location being shown is scrollpos_x, scrollpos_y.

See also:
  InitializeViewport(), UpdateViewportPosition(), UpdateViewportCoordinates().

Definition at line 259 of file window_gui.h.

The documentation for this struct was generated from the following file:

- src/window_gui.h